嵌入式爱好者

查看: 7327|回复: 10

[Linux] S5P6818交叉编译protobuf报错编译器不支持C++11

[复制链接]

3

主题

8

帖子

24

积分

XX18通行证

扫一扫,手机访问本帖
发表于 2020-1-19 15:01:35 | 显示全部楼层 |阅读模式
checking whether /opt/arm-cortex_a9-eabi-4.7-eglibc-2.18/bin/arm-cortex_a9-linux-gnueabi-g++ supports C++11 features by default... no
checking whether /opt/arm-cortex_a9-eabi-4.7-eglibc-2.18/bin/arm-cortex_a9-linux-gnueabi-g++ supports C++11 features with -std=c++11... no
checking whether /opt/arm-cortex_a9-eabi-4.7-eglibc-2.18/bin/arm-cortex_a9-linux-gnueabi-g++ supports C++11 features with +std=c++11... no
checking whether /opt/arm-cortex_a9-eabi-4.7-eglibc-2.18/bin/arm-cortex_a9-linux-gnueabi-g++ supports C++11 features with -h std=c++11... no
checking whether /opt/arm-cortex_a9-eabi-4.7-eglibc-2.18/bin/arm-cortex_a9-linux-gnueabi-g++ supports C++11 features with -std=c++0x... no
checking whether /opt/arm-cortex_a9-eabi-4.7-eglibc-2.18/bin/arm-cortex_a9-linux-gnueabi-g++ supports C++11 features with +std=c++0x... no
checking whether /opt/arm-cortex_a9-eabi-4.7-eglibc-2.18/bin/arm-cortex_a9-linux-gnueabi-g++ supports C++11 features with -h std=c++0x... no



回复

使用道具 举报

0

主题

116

帖子

197

积分

发表于 2020-1-19 15:21:02 | 显示全部楼层
我们新发布了linux4.4.83版本资料,您可以在我们官网下载查看。4.4.83版本资料提供7.3版本的交叉编译器,您尝试一下是否能满足您的编译要求。

点评

在你们提供的百度网盘上,没有看到7.3版本的交叉编译器,你确定提供了吗?  详情 回复 发表于 2021-7-1 17:54
请问下载链接方便提供一下吗,在官网没有找到地址  详情 回复 发表于 2020-1-19 15:43
点评回复 支持 反对

使用道具 举报

3

主题

8

帖子

24

积分

XX18通行证

 楼主| 发表于 2020-1-19 15:43:24 | 显示全部楼层
倔强的土坷垃 发表于 2020-1-19 15:21
我们新发布了linux4.4.83版本资料,您可以在我们官网下载查看。4.4.83版本资料提供7.3版本的交叉编译器,您 ...

请问下载链接方便提供一下吗,在官网没有找到地址
点评回复 支持 反对

使用道具 举报

0

主题

906

帖子

1294

积分

发表于 2020-1-19 16:22:09 | 显示全部楼层
论坛资料下载版块,找到  S5P4418 \ 6818资料下载  

点评

Qt5.6+Linux4.4.83 20191225 20191231 链接:https://pan.baidu.com/s/1yIKloB63SVQiF69y_y7x9A 提取码:e6l1 更新记录 首次发布 (提示:该系统当前适用于 OK4418-C 产品) 我的开发板是OK6818-C,也可以  详情 回复 发表于 2020-1-19 16:32
点评回复 支持 反对

使用道具 举报

3

主题

8

帖子

24

积分

XX18通行证

 楼主| 发表于 2020-1-19 16:32:20 | 显示全部楼层
zhichao 发表于 2020-1-19 16:22
论坛资料下载版块,找到  S5P4418 \ 6818资料下载

Qt5.6+Linux4.4.83
20191225 20191231 链接:https://pan.baidu.com/s/1yIKloB63SVQiF69y_y7x9A 提取码:e6l1
更新记录 首次发布 (提示:该系统当前适用于 OK4418-C 产品)



我的开发板是OK6818-C,也可以使用吗
点评回复 支持 反对

使用道具 举报

0

主题

906

帖子

1294

积分

发表于 2020-1-19 17:09:42 | 显示全部楼层
本帖最后由 zhichao 于 2020-1-19 17:12 编辑

不能,只能用于4418,但是您可以自行尝试,6818正在做,您可以等6818发布

点评

请问6818的系统制作好了吗  详情 回复 发表于 2020-4-13 14:27
点评回复 支持 反对

使用道具 举报

3

主题

8

帖子

24

积分

XX18通行证

 楼主| 发表于 2020-4-13 14:27:18 | 显示全部楼层
zhichao 发表于 2020-1-19 17:09
不能,只能用于4418,但是您可以自行尝试,6818正在做,您可以等6818发布

请问6818的系统制作好了吗
点评回复 支持 反对

使用道具 举报

0

主题

906

帖子

1294

积分

发表于 2020-4-13 17:17:03 | 显示全部楼层
还没有更新qt5.6版本

点评

请问系统更新了吗 我只需要那个linux的系统环境和编译器 Qt我不用  详情 回复 发表于 2020-4-20 14:06
点评回复 支持 反对

使用道具 举报

3

主题

8

帖子

24

积分

XX18通行证

 楼主| 发表于 2020-4-20 14:06:38 | 显示全部楼层
zhichao 发表于 2020-4-13 17:17
还没有更新qt5.6版本

请问系统更新了吗 我只需要那个linux的系统环境和编译器  Qt我不用
点评回复 支持 反对

使用道具 举报

0

主题

906

帖子

1294

积分

发表于 2020-4-20 15:00:16 | 显示全部楼层
目前还没有完成,请耐心等待,或者您自己尝试做一下
点评回复 支持 反对

使用道具 举报

0

主题

1

帖子

7

积分

XX18通行证

发表于 2021-7-1 17:54:12 | 显示全部楼层
倔强的土坷垃 发表于 2020-1-19 15:21
我们新发布了linux4.4.83版本资料,您可以在我们官网下载查看。4.4.83版本资料提供7.3版本的交叉编译器,您 ...

在你们提供的百度网盘上,没有看到7.3版本的交叉编译器,你确定提供了吗?
点评回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋| 飞凌嵌入式 ( 冀ICP备12004394号-1 )  

GMT+8, 2021-9-21 16:04

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表